Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003737Doomseeker[All Projects] Suggestionpublic2020-01-27 21:102020-01-30 16:52
ReporterWubTheCaptain 
Assigned ToBlzut3 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSmacOSOS Version
Product Version1.3.1 
Target Version1.3.1Fixed in Version1.3.1 
Summary0003737: Doomseeker 1.3.1 for macOS needs to be released
DescriptionDoomseeker 1.3.1 is (being) released.

macOS binary packages need to be published to release channels.
Steps To Reproducehttp://doomseeker.drdteam.org/files/doomseeker-1.3.1_macosx.dmg [^]
Attached Files

- Relationships
child of 0003735needs testingWubTheCaptain Doomseeker 1.3.1 release 

-  Notes
User avatar (0021122)
WubTheCaptain (developer)
2020-01-27 21:12

So as far as I'm aware, with Apple's code signing requirements, auto-updates are still broken like they were in 1.3. Or something.

I assume publishing to the URL in OP is enough to resolve this issue.
User avatar (0021141)
Blzut3 (administrator)
2020-01-30 02:15

Build uploaded.
User avatar (0021149)
WubTheCaptain (developer)
2020-01-30 12:27

$ curl -Ihttp://doomseeker.drdteam.org/files/doomseeker-1.3.1_macosx.dmg [^]
HTTP/1.1 200 OK
Date: Thu, 30 Jan 2020 12:25:49 GMT
Server: Apache
Upgrade: h2
Connection: Upgrade
Last-Modified: Thu, 30 Jan 2020 02:12:39 GMT
ETag: "11d4714-59d51fdd0d43e"
Accept-Ranges: bytes
Content-Length: 18695956
Content-Type: application/x-apple-diskimage

$ sha256sum doomseeker-1.3.1_macosx.dmg
f3b90c14e09be19dfaeb383fde9f4bfee691c9198ca769c12cd40e820e4d9069  doomseeker-1.3.1_macosx.dmg

Verify as resolved (no macOS here to run this).

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2020-01-27 21:10 WubTheCaptain New Issue
2020-01-27 21:10 WubTheCaptain Relationship added child of 0003735
2020-01-27 21:10 WubTheCaptain Description Updated View Revisions
2020-01-27 21:11 WubTheCaptain Summary Doomseeker 1.3 for macOS needs to be released => Doomseeker 1.3.1 for macOS needs to be released
2020-01-27 21:12 WubTheCaptain Note Added: 0021122
2020-01-27 21:49 WubTheCaptain Assigned To => Blzut3
2020-01-27 21:49 WubTheCaptain Status new => assigned
2020-01-30 02:15 Blzut3 Note Added: 0021141
2020-01-30 02:15 Blzut3 Status assigned => needs review
2020-01-30 12:27 WubTheCaptain Note Added: 0021149
2020-01-30 12:27 WubTheCaptain Status needs review => needs testing
2020-01-30 12:28 WubTheCaptain Status needs testing => resolved
2020-01-30 12:28 WubTheCaptain Fixed in Version => 1.3.1
2020-01-30 12:28 WubTheCaptain Resolution open => fixed
2020-01-30 16:52 WubTheCaptain OS => macOS






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker